﻿using System;
using System.Windows.Data;

namespace ClockControlDemo
{
    class DateToAngleConverter : IValueConverter
    {
        public DateToAngleConverter()
        {
        }

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var date = value as DateTime?;
            if (date == null) return null;
            double seconds = date.Value.Hour * 3600 + date.Value.Minute * 60 + date.Value.Second;
            return seconds / System.Convert.ToDouble(parameter) * 360;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
