﻿using System;
using System.Collections.Generic;

namespace NumericFunctions
{
    class SquareRoots : INumberSequence
    {
        public string Name { get { return "sqrt"; } }

        public IEnumerable<double> Numbers
        {
            get
            {
                int i = 1;
                while (true) yield return Math.Sqrt(i++);
            }
        }
    }
}